Warning displaying on front end and back end

Phoca Download - download manager
cirris
Phoca Newbie
Phoca Newbie
Posts: 6
Joined: 19 Aug 2014, 23:47

Warning displaying on front end and back end

Post by cirris » 13 May 2019, 22:50

on the front end of the site, I get this error displayed below each file:
Warning: count(): Parameter must be an array or an object that implements Countable in /var/www/vhosts/cirris.com/httpdocs/cirris.com/components/com_phocadownload/views/category/tmpl/default.php on line 98
On the backend, I get the error below in the Phoca Download control panel.
I don't know what version of Phoca Download I am on. No option to update shows up in back end.
Warning: Illegal string offset 'name' in /var/www/vhosts/cirris.com/httpdocs/cirris.com/administrator/components/com_phocadownload/libraries/phocadownload/utils/utils.php on line 38

Warning: Illegal string offset 'type' in /var/www/vhosts/cirris.com/httpdocs/cirris.com/administrator/components/com_phocadownload/libraries/phocadownload/utils/utils.php on line 38

Warning: Illegal string offset 'creationDate' in /var/www/vhosts/cirris.com/httpdocs/cirris.com/administrator/components/com_phocadownload/libraries/phocadownload/utils/utils.php on line 38

Warning: Illegal string offset 'author' in /var/www/vhosts/cirris.com/httpdocs/cirris.com/administrator/components/com_phocadownload/libraries/phocadownload/utils/utils.php on line 38

Warning: Illegal string offset 'copyright' in /var/www/vhosts/cirris.com/httpdocs/cirris.com/administrator/components/com_phocadownload/libraries/phocadownload/utils/utils.php on line 38

Warning: Illegal string offset 'authorEmail' in /var/www/vhosts/cirris.com/httpdocs/cirris.com/administrator/components/com_phocadownload/libraries/phocadownload/utils/utils.php on line 38

Warning: Cannot assign an empty string to a string offset in /var/www/vhosts/cirris.com/httpdocs/cirris.com/administrator/components/com_phocadownload/libraries/phocadownload/utils/utils.php on line 38

Warning: Illegal string offset 'authorUrl' in /var/www/vhosts/cirris.com/httpdocs/cirris.com/administrator/components/com_phocadownload/libraries/phocadownload/utils/utils.php on line 38

Warning: Illegal string offset 'version' in /var/www/vhosts/cirris.com/httpdocs/cirris.com/administrator/components/com_phocadownload/libraries/phocadownload/utils/utils.php on line 38

Warning: Illegal string offset 'description' in /var/www/vhosts/cirris.com/httpdocs/cirris.com/administrator/components/com_phocadownload/libraries/phocadownload/utils/utils.php on line 38

Warning: Illegal string offset 'group' in /var/www/vhosts/cirris.com/httpdocs/cirris.com/administrator/components/com_phocadownload/libraries/phocadownload/utils/utils.php on line 38

Warning: Cannot assign an empty string to a string offset in /var/www/vhosts/cirris.com/httpdocs/cirris.com/administrator/components/com_phocadownload/libraries/phocadownload/utils/utils.php on line 38

Warning: Illegal string offset 'filename' in /var/www/vhosts/cirris.com/httpdocs/cirris.com/administrator/components/com_phocadownload/libraries/phocadownload/utils/utils.php on line 38

Tags:

christine
Phoca Hero
Phoca Hero
Posts: 1675
Joined: 28 Nov 2010, 17:20

Re: Warning displaying on front end and back end

Post by christine » 13 May 2019, 23:49

Hi,
Which PHP Version are you using?
cirris wrote:
13 May 2019, 22:50
I don't know what version of Phoca Download I am on. No option to update shows up in back end.
Components > PD > Control Panel > Info > Check For Update:

Image

Kind regards
Christine

cirris
Phoca Newbie
Phoca Newbie
Posts: 6
Joined: 19 Aug 2014, 23:47

Re: Warning displaying on front end and back end

Post by cirris » 14 May 2019, 17:35

PHP version 7.3.4

When i go to info and click Check for Update, i am sent to this page:
https://www.phoca.cz/version/index.php?phocadownload=

Also, here is what I see when i go to "info"
https://ibb.co/mN4WwFp

christine
Phoca Hero
Phoca Hero
Posts: 1675
Joined: 28 Nov 2010, 17:20

Re: Warning displaying on front end and back end

Post by christine » 14 May 2019, 18:06

Hi,

you don't get above screen - oh? PD is ready for PHP Version 7.3.1

Nevertheless you could try to install via normal paket installation routine, the latest version of PD.

Kind regards
Christine

cirris
Phoca Newbie
Phoca Newbie
Posts: 6
Joined: 19 Aug 2014, 23:47

Re: Warning displaying on front end and back end

Post by cirris » 14 May 2019, 18:32

Will installing the normal packet affect my existing files and categories?

christine
Phoca Hero
Phoca Hero
Posts: 1675
Joined: 28 Nov 2010, 17:20

Re: Warning displaying on front end and back end

Post by christine » 14 May 2019, 18:48

No, provided you don't de-install previous one!

Just: Extension > Manage > Installation > Upload Package File [of your downloaded version of PD 3.1.9]

(Current Version Joomla 3.9.6)

Kind regards
Christine

cirris
Phoca Newbie
Phoca Newbie
Posts: 6
Joined: 19 Aug 2014, 23:47

Re: Warning displaying on front end and back end

Post by cirris » 14 May 2019, 18:53

That fixed the issues. Thank you!

christine
Phoca Hero
Phoca Hero
Posts: 1675
Joined: 28 Nov 2010, 17:20

Re: Warning displaying on front end and back end

Post by christine » 14 May 2019, 20:14

Hi cirris,

that's fine!

Kind regards
Christine

Post Reply